<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet
    xmlns:xsl = "http://www.w3.org/1999/XSL/Transform"
    xmlns:m = "http://metaf2xml.sourceforge.net/1.42"
    xmlns:t = "http://metaf2xml.sourceforge.net/1.42"
    exclude-result-prefixes = "m t"
    version = "1.0">

 <xsl:template match="data">
  <html lang="{$lang_used}">
  <head>
  <title><xsl:value-of select="$trans/t:cgi[@o='title']"/></title>
  <meta name="robots" content="noindex,nofollow"/>
  <meta name="keywords"
      content="metaf2xml,METAR,TAF,SYNOP,XML,aviation,weather,report,forecast"/>
  </head>
  <link rel="shortcut icon" type="image/x-icon" href="../metaf2xml.ico"/>
  <body lang="{$lang_used}">
  <h2><xsl:value-of select="$trans/t:cgi[@o='title']"/></h2>
  <xsl:value-of select="$trans/t:cgi[@o='infosrc']"/>
  <xsl:text>: </xsl:text>
  <kbd>http://weather.noaa.gov/weather/coded.html</kbd>
  <p />
  <xsl:value-of select="$trans/t:cgi[@o='infofetch']"/>
  <p />
  <form method="post"
        action="metaf.pl"
        enctype="application/x-www-form-urlencoded">

<table border="0" cellspacing="0">
<tr>
<td nowrap="1"><xsl:value-of select="$trans/t:cgi[@o='language']"/></td>
<td>
 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">lang</xsl:attribute>
  <xsl:attribute name="value">de</xsl:attribute>
  <xsl:if test="not (options/@lang = 'en' or options/@lang = 'es' or options/@lang = 'ru')">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:text>Deutsch</xsl:text>
</td>
<td>
 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">lang</xsl:attribute>
  <xsl:attribute name="value">en</xsl:attribute>
  <xsl:if test="options/@lang = 'en'">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:text>English</xsl:text>
</td>
<td>
 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">lang</xsl:attribute>
  <xsl:attribute name="value">es</xsl:attribute>
  <xsl:if test="options/@lang = 'es'">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:text>Español</xsl:text>
</td>
<td>
 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">lang</xsl:attribute>
  <xsl:attribute name="value">ru</xsl:attribute>
  <xsl:if test="options/@lang = 'ru'">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:text>Русский</xsl:text>
</td>
</tr>

<tr>
<td nowrap="1"><xsl:value-of select="$trans/t:cgi[@o='format']"/></td>
<td>
 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">format</xsl:attribute>
  <xsl:attribute name="value">html</xsl:attribute>
  <xsl:if test="not (options/@format = 'text' or options/@format = 'xml')">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:value-of select="$trans/t:cgi[@o='format1']"/>
</td>
<td>
 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">format</xsl:attribute>
  <xsl:attribute name="value">text</xsl:attribute>
  <xsl:if test="options/@format = 'text'">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:value-of select="$trans/t:cgi[@o='format2']"/>
</td>
<td colspan="2">
 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">format</xsl:attribute>
  <xsl:attribute name="value">xml</xsl:attribute>
  <xsl:if test="options/@format = 'xml'">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:value-of select="$trans/t:cgi[@o='format3']"/>
</td>
</tr>

<tr>
<td nowrap="1"><xsl:value-of select="$trans/t:cgi[@o='mode']"/></td>
<td nowrap="1">
 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">mode</xsl:attribute>
  <xsl:attribute name="value">latest</xsl:attribute>
  <xsl:if test="not (options/@mode = 'summary')">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:value-of select="$trans/t:cgi[@o='mode1']"/>
</td>

<td colspan="3" nowrap="1">
 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">mode</xsl:attribute>
  <xsl:attribute name="value">summary</xsl:attribute>
  <xsl:if test="options/@mode = 'summary'">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:value-of select="$trans/t:cgi[@o='mode2']"/>
 <input type="text" name="hours" size="3" maxlength="3" style="font-family: monospace; font-size: 100%;" value="{options/@hours}"/>
 <xsl:value-of select="$trans/t:cgi[@o='hours']"/>
</td>
</tr>
</table>

<table border="0" cellspacing="0">
<tr><td colspan="2"><hr /></td></tr>
<tr>
<td><xsl:value-of select="$trans/t:cgi[@o='example']"/></td>
<td style="font-family: monospace;">
METAR YUDO 090600Z 00000KT CAVOK 22/15 Q1021 NOSIG
</td>
</tr>

<tr>
<td />
<td style="font-family: monospace;">
TAF YUDO 090600Z 0907/0916 VRB03KT 8000 SKC PROB40 TEMPO 0907/0908 0200 +TSRA FM090800 CAVOK
</td>
</tr>

<tr>
<td />
<td style="font-family: monospace;">
TAF YUDO 090600Z 090716 VRB03KT 8000 SKC PROB40 TEMPO 0708 0200 +TSRA FM0800 CAVOK
</td>
</tr>

<tr>
<td nowrap="1">
 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">type_metaf</xsl:attribute>
  <xsl:attribute name="value">metar</xsl:attribute>
  <xsl:if test="not (options/@type_metaf = 'taf' or options/@type_metaf = 'icao')">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:value-of select="$trans/t:cgi[@o='type1']"/>
</td>

<td rowspan="3" valign="bottom">
 <input type="text" name="msg_metaf" size="80" maxlength="500" style="font-family: monospace; font-size: 100%;" value="{options/@msg_metaf}"/>
</td>
</tr>

<tr>
<td nowrap="1">
 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">type_metaf</xsl:attribute>
  <xsl:attribute name="value">taf</xsl:attribute>
  <xsl:if test="options/@type_metaf = 'taf'">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:value-of select="$trans/t:cgi[@o='type2']"/>
</td>
</tr>

<tr>
<td>
 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">type_metaf</xsl:attribute>
  <xsl:attribute name="value">icao</xsl:attribute>
  <xsl:if test="options/@type_metaf = 'icao'">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:value-of select="$trans/t:cgi[@o='type4']"/>
</td>
</tr>

<tr>
<td nowrap="1" align="right">
<xsl:value-of select="$trans/t:cgi[@o='source']"/>
</td>

<td>
 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">src_metaf</xsl:attribute>
  <xsl:attribute name="value">noaa</xsl:attribute>
  <xsl:if test="not (options/@src_metaf = 'adds' or options/@src_metaf = 'addsds' or options/@src_metaf = 'ogimet' or options/@src_metaf = 'file')">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
  <xsl:if test="options/@src_metaf = 'file'">
   <xsl:attribute name="disabled">1</xsl:attribute>
   <xsl:attribute name="readonly">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:value-of select="$trans/t:cgi[@o='source1']"/>

 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">src_metaf</xsl:attribute>
  <xsl:attribute name="value">adds</xsl:attribute>
  <xsl:if test="options/@src_metaf = 'adds'">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
  <xsl:if test="options/@src_metaf = 'file'">
   <xsl:attribute name="disabled">1</xsl:attribute>
   <xsl:attribute name="readonly">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:value-of select="$trans/t:cgi[@o='source2']"/>

 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">src_metaf</xsl:attribute>
  <xsl:attribute name="value">addsds</xsl:attribute>
  <xsl:if test="options/@src_metaf = 'addsds'">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
  <xsl:if test="options/@src_metaf = 'file'">
   <xsl:attribute name="disabled">1</xsl:attribute>
   <xsl:attribute name="readonly">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:value-of select="$trans/t:cgi[@o='source3']"/>

 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">src_metaf</xsl:attribute>
  <xsl:attribute name="value">ogimet</xsl:attribute>
  <xsl:if test="options/@src_metaf = 'ogimet'">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
  <xsl:if test="options/@src_metaf = 'file'">
   <xsl:attribute name="disabled">1</xsl:attribute>
   <xsl:attribute name="readonly">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:value-of select="$trans/t:cgi[@o='source6']"/>
</td>
</tr>

<tr><td colspan="2"><hr /></td></tr>

<tr>
<td><xsl:value-of select="$trans/t:cgi[@o='example']"/></td>
<td style="font-family: monospace;">
AAXX 09004 08495 11459 30714 10147 20136 30151 40159 58005 60001 70511 83500 92350
</td>
</tr>

<tr>
<td />
<td style="font-family: monospace;">
BBXX UIDS 18061 99613 70284 41698 61806 10000 40107 57020 70121 86//8 22271 00064
</td>
</tr>

<tr>
<td nowrap="1">
 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">type_synop</xsl:attribute>
  <xsl:attribute name="value">synop</xsl:attribute>
  <xsl:if test="not (options/@type_synop = 'wmo')">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:value-of select="$trans/t:cgi[@o='type3']"/>
</td>

<td rowspan="2" valign="bottom">
 <input type="text" name="msg_synop" size="80" maxlength="500" style="font-family: monospace; font-size: 100%;" value="{options/@msg_synop}"/>
</td>
</tr>

<tr>
<td>
 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">type_synop</xsl:attribute>
  <xsl:attribute name="value">wmo</xsl:attribute>
  <xsl:if test="options/@type_synop = 'wmo'">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:value-of select="$trans/t:cgi[@o='type5']"/>
</td>
</tr>

<tr>
<td nowrap="1" align="right">
<xsl:value-of select="$trans/t:cgi[@o='source']"/>
</td>

<td>
 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">src_synop</xsl:attribute>
  <xsl:attribute name="value">nws_land</xsl:attribute>
  <xsl:if test="not (options/@src_synop = 'nws_ship' or options/@src_synop = 'cod' or options/@src_synop = 'ogimet' or options/@src_synop = 'file')">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
  <xsl:if test="options/@src_synop = 'file'">
   <xsl:attribute name="disabled">1</xsl:attribute>
   <xsl:attribute name="readonly">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:value-of select="$trans/t:cgi[@o='source4']"/>

 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">src_synop</xsl:attribute>
  <xsl:attribute name="value">nws_ship</xsl:attribute>
  <xsl:if test="options/@src_synop = 'nws_ship'">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
  <xsl:if test="options/@src_synop = 'file'">
   <xsl:attribute name="disabled">1</xsl:attribute>
   <xsl:attribute name="readonly">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:value-of select="$trans/t:cgi[@o='source7']"/>

 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">src_synop</xsl:attribute>
  <xsl:attribute name="value">cod</xsl:attribute>
  <xsl:if test="options/@src_synop = 'cod'">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
  <xsl:if test="options/@src_synop = 'file'">
   <xsl:attribute name="disabled">1</xsl:attribute>
   <xsl:attribute name="readonly">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:value-of select="$trans/t:cgi[@o='source5']"/>

 <xsl:element name="input">
  <xsl:attribute name="type">radio</xsl:attribute>
  <xsl:attribute name="name">src_synop</xsl:attribute>
  <xsl:attribute name="value">ogimet</xsl:attribute>
  <xsl:if test="options/@src_synop = 'ogimet'">
   <xsl:attribute name="checked">1</xsl:attribute>
  </xsl:if>
  <xsl:if test="options/@src_synop = 'file'">
   <xsl:attribute name="disabled">1</xsl:attribute>
   <xsl:attribute name="readonly">1</xsl:attribute>
  </xsl:if>
 </xsl:element>
 <xsl:value-of select="$trans/t:cgi[@o='source6']"/>
</td>
</tr>

<tr><td colspan="2"><hr /></td></tr>

<tr>
<td colspan="2">
 <input type="submit" style="font-size: 100%;" value="{$trans/t:cgi[@o='decode']}"/>
</td>
</tr>

</table>

</form>
  <p />
  <xsl:choose>
   <xsl:when test="boolean(m:reports)">
    <xsl:if test="boolean(m:reports/*)">
     <b><xsl:value-of select="$trans/t:cgi[@o='disclaimer']"/></b><p />
    </xsl:if>
    <xsl:apply-templates select="m:reports"/>
   </xsl:when>
   <xsl:otherwise>
    <b>
    <xsl:value-of select="concat('ERROR: versions differ: XML: ', namespace-uri(*[last()]), ', metaf-ui.xsl: http://metaf2xml.sourceforge.net/1.42')"/>
    </b>
    <p /><xsl:text>&#10;</xsl:text>
   </xsl:otherwise>
  </xsl:choose>
  <p />copyright (c) 2006-2010 metaf2xml @ <a href="http://metaf2xml.sourceforge.net/">
  SourceForge.net
  </a>
  </body>
  </html>
 </xsl:template>

</xsl:stylesheet>
